function updateProgBar(k,handles,N)
loopsize=1:(N/2);
if k/length(loopsize) >=1/12
    set(handles.progressBarBoxaxes1,'Color',[0 0.4 0.6]);
end
if k/length(loopsize) >=2/12
    set(handles.progressBarBoxaxes2,'Color',[0 0.4 0.6]);
end
if k/length(loopsize) >=3/12
    set(handles.progressBarBoxaxes3,'Color',[0 0.4 0.6]);
end
if k/length(loopsize) >=4/12
    set(handles.progressBarBoxaxes4,'Color',[0 0.4 0.6]);
end
if k/length(loopsize) >=5/12
    set(handles.progressBarBoxaxes5,'Color',[0 0.4 0.6]);
end
if k/length(loopsize) >=6/12
    set(handles.progressBarBoxaxes6,'Color',[0 0.4 0.6]);
end
if k/length(loopsize) >=7/12
    set(handles.progressBarBoxaxes7,'Color',[0 0.4 0.6]);
end
if k/length(loopsize) >=8/12
    set(handles.progressBarBoxaxes8,'Color',[0 0.4 0.6]);
end
if k/length(loopsize) >=9/12
    set(handles.progressBarBoxaxes9,'Color',[0 0.4 0.6]);
end
if k/length(loopsize) >=10/12
    set(handles.progressBarBoxaxes10,'Color',[0 0.4 0.6]);
end
if k/length(loopsize) >=11/12
    set(handles.progressBarBoxaxes11,'Color',[0 0.4 0.6]);
end
if k/length(loopsize) >=12/12
    set(handles.progressBarBoxaxes12,'Color',[0 0.4 0.6]);
end
   set(handles.uneditProgPrecent,'String',[num2str(100*k/length(loopsize)) '%']);
pause(0.0001);